{******************************************************************************}
{                                                                              }
{ ETWTraceViewer                                                               }
{                                                                              }
{ Copyright (C) 2008 Franck SORIANO                                            }
{                                                                              }
{ This program is free software; you can redistribute it and/or                }
{  modify it under the terms of the GNU General Public License                 }
{ as published by the Free Software Foundation; either version 2               }
{ of the License, or (at your option) any later version.                       }
{                                                                              }
{ This program is distributed in the hope that it will be useful,              }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of               }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                }
{ GNU General Public License for more details.                                 }
{                                                                              }
{ You should have received a copy of the GNU General Public License            }
{ along with this program; if not, write to the Free Software                  }
{ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,MA  02110-1301,USA.}
{                                                                              }
{******************************************************************************}
unit uTraceList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmTraceList = class(TForm)
    lb: TListBox;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  protected
    procedure DoCreate; override;
  public
  end;

var
  frmTraceList: TfrmTraceList;

implementation
uses uETWTraceControler;
{$R *.dfm}

procedure TfrmTraceList.DoCreate;
begin
  inherited DoCreate;

  lb.Items.BeginUpdate;
  try
    TETWTraceControler.EnumerateRunningTraces(lb.Items);
  finally
    lb.Items.EndUpdate;
  end;
end;

procedure TfrmTraceList.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
  frmTraceList := nil;
end;

end.
